html{
  font-size: 100%;
}
body{
  margin: 0;
  background-color: #f1f7ee;
  font-size: .7em;
  font-family: Monaco, Consolas, monospace;
  color: #444;
  -webkit-hyphens: auto;
      -ms-hyphens: auto;
          hyphens: auto;

}
::-moz-selection{
  background-color: #b4caab;
}
::selection{
  background-color: #b4caab;
}
a{
  text-decoration: underline;
  color: #444;
}
p{
  margin: 0;
}
ul{
  margin: 0;
  padding: 0;
  list-style: none;
}
.list_indent{
  padding-left: 1em;
  text-indent: -1em;
  margin-bottom: 1em;
}
h1{
  font-size: 1em;
  margin: 0;
  font-weight: 400;
  text-transform: uppercase;
}
cite{font-style: italic;}
.columns-container{
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  padding: 2em 1em;
  max-width: 100%;
}
.column{
  padding: 0 1em;
  -webkit-box-sizing: inherit;
          box-sizing: inherit;
  margin-bottom: 1em;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.justify-end{
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
}
.justify-between{
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}
.justify-center{
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.mb-1{
  margin-bottom: 1em;
  word-break: keep-all;
}
.credits{
  margin-top: 2em;
}
#col-1{
  -webkit-box-ordinal-group: 2;
      -ms-flex-order: 1;
          order: 1;
}
#col-2{
  -webkit-box-ordinal-group: 3;
      -ms-flex-order: 2;
          order: 2;
}
#col-3{
  -webkit-box-ordinal-group: 4;
      -ms-flex-order: 3;
          order: 3;
}
#col-4{
  -webkit-box-ordinal-group: 5;
      -ms-flex-order: 4;
          order: 4;
  border-right: none;
}
img{
  width: 40%;
  height: auto;
  min-width: 8em;
  margin: 2em 0 1em 0;
  /*mix-blend-mode: luminosity;*/
}

/* desktop 레이아웃 변화.. (when device width >= 40em) */

@media (min-width: 40rem) {
  .columns-container{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 100vh;
    padding: 0;
    overflow: hidden;
  }
  .turnbuckle{
    width: 25%;
    border-right: 1px solid #444;
    height: calc(100vh - 2em);
    position: relative;
    top: 1em;
  }
  .column{
    padding: 1em 1em;
    width: 100%;
    margin: 0;
    overflow-y: auto;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    height: 100vh;
    position: relative;
    top: -1em;
    -webkit-transition: background-color 2s;
    -o-transition: background-color 2s;
    transition: background-color 2s;
  }
  .column:hover{
    background-color: #dce6d7;
    -webkit-transition: background-color 2s;
    -o-transition: background-color 2s;
    transition: background-color 2s;
  }
  .sinking-margin{
    margin-top: 8em;
  }
  img{margin: 4em 0;}
  .credits{text-align: right;}
}
